Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Mar 2016 23:08:25 +0200

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 11 Mar 2016 15:58:20 -0500
> Cc: [email-masked], Artur Malabarba <[email-masked]>
> 
>  What if search-default-mode is t, i.e. the default is regexp search?
> 
> It works fine in that case too (with this patch).
> 
> When search-default-mode is set to t, doing just C-s will now begin regexp isearch showing "Regexp
> I-search:" in the minibuffer.

Which I think is wrong, since the default mode shouldn't show anything
except "I-search: ".  Right?